Skip to content

Delete a recording rule. The SDK config is published before this returns.

DELETE
/rum/{app_id}/rules/{rule_id}
curl --request DELETE \
--url https://api.siteqwality.com/rum/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/rules/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \
--header 'Authorization: Bearer <token>'
app_id
required
string format: uuid

RUM application identifier

rule_id
required
string format: uuid

Recording rule identifier

Rule deleted

Missing or invalid authentication

Application or rule not found

Internal server error

The SDK config could not be published; nothing was changed